classification
Title: Patch to implement a real ftplib test suite
Type: Stage:
Components: Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: benjamin.peterson Nosy List: benjamin.peterson, facundobatista, giampaolo.rodola, gvanrossum
Priority: high Keywords: patch

Created on 2008-09-22 23:42 by giampaolo.rodola, last changed 2008-09-28 20:59 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
test_ftplib.patch giampaolo.rodola, 2008-09-22 23:42 ftplib test suite
test_ftplib.patch giampaolo.rodola, 2008-09-24 00:15 2nd version modified after Benjamin's remarks
test_ftplib.patch giampaolo.rodola, 2008-09-28 10:42 patch about issue raised in msg 73950
Messages (9)
msg73605 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2008-09-22 23:42
ftplib module is currently lacking a test suite which actually connects
to a FTP server and uses the FTP class methods and facilities.
Bug #3911, discovered just a bunch of weeks before the stable release of
Python 3.0, is an example of how much a test suite is necessary.
As demanded by Benjamin Peterson in #3911, I started working on test
suite which implements an asyncore-based dummy FTP server which sends
fixed response codes that I used to test all the relevant FTP class methods.
Tests for the IPv6 module facilities are also included.
Although not that useful (IMHO) I didn't remove the old tests about
timeouts.

Tested against Python 2.6-RC2 on Windows XP SP3, Linux 2.6.20 and
FreeBSD 7.0.
msg73611 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-23 01:26
Awesome! I'll look at this soon.
msg73635 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-23 13:19
Giampaolo, my review comments are on Rietveld:
http://codereview.appspot.com/5698
msg73682 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2008-09-24 00:15
Patch modified after the remarks discussed with Benjamin is in attachment.
msg73913 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-27 02:20
Excellent! Barry gave me permission to put this in 2.6, so I'll do so soon.
msg73917 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-27 02:50
Commited in r66634.
msg73950 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-28 00:01
Giampaolo, I'm seeing some failures on the buildbots like this:
http://python.org/dev/buildbot/stable/ia64%20Ubuntu%203.0/builds/612/step-test/0

Do you know where they are arising from?
msg73966 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2008-09-28 10:42
I think the patch in attachment could solve the problem. 
Note: done against the 2.x trunk; changes for 3.x are the same.
msg73987 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-28 20:59
Thanks. That seems to have done the trick.
History
Date User Action Args
2008-09-28 20:59:05benjamin.petersonsetmessages: + msg73987
2008-09-28 10:42:23giampaolo.rodolasetfiles: + test_ftplib.patch
messages: + msg73966
2008-09-28 00:01:03benjamin.petersonsetmessages: + msg73950
2008-09-27 02:50:25benjamin.petersonsetstatus: open -> closed
resolution: accepted
messages: + msg73917
2008-09-27 02:20:34benjamin.petersonsetmessages: + msg73913
versions: + Python 2.6, - Python 2.7
2008-09-24 00:15:06giampaolo.rodolasetfiles: + test_ftplib.patch
messages: + msg73682
2008-09-23 13:19:41benjamin.petersonsetmessages: + msg73635
2008-09-23 01:26:34benjamin.petersonsetpriority: high
assignee: benjamin.peterson
messages: + msg73611
2008-09-22 23:42:22giampaolo.rodolacreate